Bug 1872138 - the input box and check label are not horizontal aligned for Operator Hub category items
Summary: the input box and check label are not horizontal aligned for Operator Hub cat...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 07:41 UTC by Yadan Pei
Modified: 2020-08-31 07:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Catalog Items (112.90 KB, image/png)
2020-08-25 07:42 UTC, Yadan Pei
no flags Details
Operator Hub Catagory Items Correctly Aligned (109.18 KB, image/png)
2020-08-31 07:55 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6452 None closed Bug 1872138: Rules to correct checkbox input and label alignment with this operatorhub filter-panel 2020-08-31 05:51:05 UTC

Description Yadan Pei 2020-08-25 07:41:40 UTC
Description of problem:
the input box and check label seems not on the same line

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-24-110601

How reproducible:
Always

Steps to Reproduce:
1. cluster admin goes to OperatorHub and check the items
2.
3.

Actual results:
1. On the left we can see items are categorized. the input box and check label seems not on the same line 

Expected results:
1. the input box and check label should be on the same line

Additional info:

Comment 1 Yadan Pei 2020-08-25 07:42:09 UTC
Created attachment 1712492 [details]
Catalog Items

Comment 2 Yadan Pei 2020-08-25 08:17:25 UTC
it looks like on 4.5 we also have the same display

Comment 3 Steve Goodwin 2020-08-26 17:08:34 UTC
fix https://github.com/openshift/console/pull/6452

Comment 6 Yadan Pei 2020-08-31 06:24:08 UTC
The latest accepted 4.6 nightly 4.6.0-0.nightly-2020-08-27-005538 doesn't include the fix PR 

# export PAYLOAD=registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-08-27-005538
[root@preserved-qe-ui-rhel-1 console]# oc adm release info $PAYLOAD --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:741428633e21bddb5f6b86970a6d62f9ed2b762bafd074f2bb7a09aa3aaf5d0a
[root@preserved-qe-ui-rhel-1 console]# export CONSOLE_IMAGE=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
[root@preserved-qe-ui-rhel-1 console]# oc image info $CONSOLE_IMAGE | grep commit
             io.openshift.build.commit.id=9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
[root@preserved-qe-ui-rhel-1 console]# git log 9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf | grep '#6452'   //nothing returns

Comment 7 Yadan Pei 2020-08-31 07:55:20 UTC
Created attachment 1713119 [details]
Operator Hub Catagory Items Correctly Aligned

Now the operatorhub catagory items are correctly aligned 

verified on 4.6.0-0.nightly-2020-08-31-012413


Note You need to log in before you can comment on or make changes to this bug.